#include "AT91SAM7X512.h"
#include "memory.h"

unsigned char outstatus[3];

int get_IO_status(void)
{
  at45db_read( 0x00, 0x04, 0x00, outstatus, 3);

  if (outstatus[0]==0)
    {
    AT91C_BASE_PIOB->PIO_SODR = 1<<20;
    }
  else
    {
    AT91C_BASE_PIOB->PIO_CODR = 1<<20;
    }

  if (outstatus[1]==0)
    {
    AT91C_BASE_PIOB->PIO_SODR = 1<<21;
    }
  else
    {
    AT91C_BASE_PIOB->PIO_CODR = 1<<21;
    }
  if (outstatus[2]==0)
    {
    AT91C_BASE_PIOB->PIO_SODR = 1<<22;
    }
  else
    {
    AT91C_BASE_PIOB->PIO_CODR = 1<<22;
    }

  return 0;

}
